import '../../models/user.dart';

abstract class UserListState {}

class UserListLoadingState extends UserListState {}

class UserListLoadedState extends UserListState {
  final List<User> users;

  UserListLoadedState(this.users);
}

class UserListErrorState extends UserListState {
  final String error;

  UserListErrorState(this.error);
}
